#ifndef DIRECTION_BUTTON_STATUS_H
#define DIRECTION_BUTTON_STATUS_H

#include <math.h>
#include "NormalizedDirection.h"

class DirectionButtonStatus
{
public:
    bool UpPressed = false;
    bool DownPressed = false;
    bool LeftPressed = false;
    bool RightPressed = false;
    const float c_NormalizedDiagonal = static_cast<float>(1.0 / sqrt(2));

    bool GetDirection(NormalizedDirection & ref_direction) const;
};

#endif